This project targets .NET version that requires reference assemblies that do not ship with OmniSharp out of the box

This project targets .NET version that requires reference assemblies that do not ship with OmniSharp out of the box

OmniSharpLogで以下のようなエラーが出ていた。Monoをインストールしてくれとのことだった。言われた通りにインストールすると直ってくれた。

[fail]: OmniSharp.MSBuild.ProjectLoader
        This project targets .NET version that requires reference assemblies that do not ship with OmniSharp out of the box (e.g. .NET Framework). The most common solution is to make sure Mono is installed on your machine (https://mono-project.com/download/) and that OmniSharp is started with that Mono installation (e.g. "omnisharp.useGlobalMono":"always" in C# Extension for VS Code).

Download - Stable | Monoここからstable channelをインストールする。f:id:topazzz:20211130220028p:plain

ようこそと言ってインストールする。

で、monoをインストールしたらsettings.jsonの設定を変える。Versoinやインストール先によってmonopathはかわります。

{
 ~~~
  "omnisharp.useGlobalMono": "always",
  "omnisharp.monoPath": "/Library/Frameworks/Mono.framework/Versions/6.12.0"
  ~~~
}